using System;

namespace gaemstone.ECS;

public class EntityNotFoundException
	: Exception
{
	public EntityNotFoundException(string message)
		: base(message) {  }
}

public class ComponentNotFoundException
	: Exception
{
	public ComponentNotFoundException(string message)
		: base(message) {  }
}

public class FlecsException
	: Exception
{
	public FlecsException() : base() {  }
	public FlecsException(string message) : base(message) {  }
}

public class FlecsAbortException
	: FlecsException
{
	internal FlecsAbortException()
		: base("Abort was called by flecs") {  }
}
